Bug 1176278 - [abrt] doxygen: Definition::localName(): doxygen killed by SIGSEGV
Summary: [abrt] doxygen: Definition::localName(): doxygen killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: doxygen
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:45823bc4fec208a64b01ab8d00f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-19 23:00 UTC by Michael Catanzaro
Modified: 2015-02-15 03:26 UTC (History)
2 users (show)

Fixed In Version: doxygen-1.8.9.1-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-15 03:26:02 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (2.99 KB, text/plain)
2014-12-19 23:00 UTC, Michael Catanzaro
no flags Details
File: cgroup (190 bytes, text/plain)
2014-12-19 23:00 UTC, Michael Catanzaro
no flags Details
File: core_backtrace (2.76 KB, text/plain)
2014-12-19 23:00 UTC, Michael Catanzaro
no flags Details
File: dso_list (662 bytes, text/plain)
2014-12-19 23:00 UTC, Michael Catanzaro
no flags Details
File: environ (4.68 KB, text/plain)
2014-12-19 23:00 UTC, Michael Catanzaro
no flags Details
File: exploitable (82 bytes, text/plain)
2014-12-19 23:00 UTC, Michael Catanzaro
no flags Details
File: limits (1.29 KB, text/plain)
2014-12-19 23:00 UTC, Michael Catanzaro
no flags Details
File: maps (3.42 KB, text/plain)
2014-12-19 23:00 UTC, Michael Catanzaro
no flags Details
File: open_fds (487 bytes, text/plain)
2014-12-19 23:00 UTC, Michael Catanzaro
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2014-12-19 23:00 UTC, Michael Catanzaro
no flags Details
File: var_log_messages (251 bytes, text/plain)
2014-12-19 23:00 UTC, Michael Catanzaro
no flags Details

Description Michael Catanzaro 2014-12-19 23:00:17 UTC
Description of problem:
*** Building libsigc++2 *** [27/32]
make -j 9
make  all-recursive
make[1]: Entering directory '/home/mcatanzaro/jhbuild/checkout/libsigc++2'
Making all in sigc++
make[2]: Entering directory '/home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++'
m4 -I ./macros -I macros macros/signal.h.m4 >signal.h
m4 -I ./macros -I macros macros/slot.h.m4 >slot.h
m4 -I ./macros -I macros macros/method_slot.h.m4 >method_slot.h
m4 -I ./macros -I macros macros/object_slot.h.m4 >object_slot.h
m4 -I ./macros -I macros macros/class_slot.h.m4 >class_slot.h
m4 -I ./macros -I macros macros/hide.h.m4 >hide.h
m4 -I ./macros -I macros macros/retype.h.m4 >retype.h
m4 -I ./macros -I macros macros/limit_reference.h.m4 >limit_reference.h
m4 -I ./macros -I macros functors/macros/functor_trait.h.m4 >functors/functor_trait.h
m4 -I ./macros -I macros functors/macros/slot.h.m4 >functors/slot.h
m4 -I ./macros -I macros functors/macros/ptr_fun.h.m4 >functors/ptr_fun.h
m4 -I ./macros -I macros functors/macros/mem_fun.h.m4 >functors/mem_fun.h
m4 -I ./macros -I macros adaptors/macros/deduce_result_type.h.m4 >adaptors/deduce_result_type.h
m4 -I ./macros -I macros adaptors/macros/adaptor_trait.h.m4 >adaptors/adaptor_trait.h
m4 -I ./macros -I macros adaptors/macros/bind.h.m4 >adaptors/bind.h
m4 -I ./macros -I macros adaptors/macros/bind_return.h.m4 >adaptors/bind_return.h
m4 -I ./macros -I macros adaptors/macros/retype_return.h.m4 >adaptors/retype_return.h
m4 -I ./macros -I macros adaptors/macros/hide.h.m4 >adaptors/hide.h
m4 -I ./macros -I macros adaptors/macros/retype.h.m4 >adaptors/retype.h
m4 -I ./macros -I macros adaptors/macros/compose.h.m4 >adaptors/compose.h
m4 -I ./macros -I macros adaptors/macros/exception_catch.h.m4 >adaptors/exception_catch.h
m4 -I ./macros -I macros adaptors/macros/track_obj.h.m4 >adaptors/track_obj.h
m4 -I ./macros -I macros adaptors/lambda/macros/base.h.m4 >adaptors/lambda/base.h
m4 -I ./macros -I macros adaptors/lambda/macros/select.h.m4 >adaptors/lambda/select.h
m4 -I ./macros -I macros adaptors/lambda/macros/operator.h.m4 >adaptors/lambda/operator.h
m4 -I ./macros -I macros adaptors/lambda/macros/group.h.m4 >adaptors/lambda/group.h
m4 -I ./macros -I macros adaptors/lambda/macros/lambda.cc.m4 >adaptors/lambda/lambda.cc
make  all-am
make[3]: Entering directory '/home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++'
depbase=`echo signal.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`;\
/bin/sh ../libtool  --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H   -I.. -I..  -Wall -g -Og -MT signal.lo -MD -MP -MF $depbase.Tpo -c -o signal.lo signal.cc &&\
mv -f $depbase.Tpo $depbase.Plo
depbase=`echo signal_base.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`;\
/bin/sh ../libtool  --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H   -I.. -I..  -Wall -g -Og -MT signal_base.lo -MD -MP -MF $depbase.Tpo -c -o signal_base.lo signal_base.cc &&\
mv -f $depbase.Tpo $depbase.Plo
depbase=`echo trackable.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`;\
/bin/sh ../libtool  --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H   -I.. -I..  -Wall -g -Og -MT trackable.lo -MD -MP -MF $depbase.Tpo -c -o trackable.lo trackable.cc &&\
mv -f $depbase.Tpo $depbase.Plo
depbase=`echo connection.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`;\
/bin/sh ../libtool  --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H   -I.. -I..  -Wall -g -Og -MT connection.lo -MD -MP -MF $depbase.Tpo -c -o connection.lo connection.cc &&\
mv -f $depbase.Tpo $depbase.Plo
depbase=`echo functors/slot.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`;\
/bin/sh ../libtool  --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H   -I.. -I..  -Wall -g -Og -MT functors/slot.lo -MD -MP -MF $depbase.Tpo -c -o functors/slot.lo functors/slot.cc &&\
mv -f $depbase.Tpo $depbase.Plo
depbase=`echo functors/slot_base.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`;\
/bin/sh ../libtool  --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H   -I.. -I..  -Wall -g -Og -MT functors/slot_base.lo -MD -MP -MF $depbase.Tpo -c -o functors/slot_base.lo functors/slot_base.cc &&\
mv -f $depbase.Tpo $depbase.Plo
depbase=`echo adaptors/lambda/lambda.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`;\
/bin/sh ../libtool  --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H   -I.. -I..  -Wall -g -Og -MT adaptors/lambda/lambda.lo -MD -MP -MF $depbase.Tpo -c -o adaptors/lambda/lambda.lo adaptors/lambda/lambda.cc &&\
mv -f $depbase.Tpo $depbase.Plo
libtool: compile:  g++ -DHAVE_CONFIG_H -I.. -I.. -Wall -g -Og -MT signal_base.lo -MD -MP -MF .deps/signal_base.Tpo -c signal_base.cc  -fPIC -DPIC -o .libs/signal_base.o
libtool: compile:  g++ -DHAVE_CONFIG_H -I.. -I.. -Wall -g -Og -MT connection.lo -MD -MP -MF .deps/connection.Tpo -c connection.cc  -fPIC -DPIC -o .libs/connection.o
libtool: compile:  g++ -DHAVE_CONFIG_H -I.. -I.. -Wall -g -Og -MT trackable.lo -MD -MP -MF .deps/trackable.Tpo -c trackable.cc  -fPIC -DPIC -o .libs/trackable.o
libtool: compile:  g++ -DHAVE_CONFIG_H -I.. -I.. -Wall -g -Og -MT signal.lo -MD -MP -MF .deps/signal.Tpo -c signal.cc  -fPIC -DPIC -o .libs/signal.o
libtool: compile:  g++ -DHAVE_CONFIG_H -I.. -I.. -Wall -g -Og -MT adaptors/lambda/lambda.lo -MD -MP -MF adaptors/lambda/.deps/lambda.Tpo -c adaptors/lambda/lambda.cc  -fPIC -DPIC -o adaptors/lambda/.libs/lambda.o
libtool: compile:  g++ -DHAVE_CONFIG_H -I.. -I.. -Wall -g -Og -MT functors/slot.lo -MD -MP -MF functors/.deps/slot.Tpo -c functors/slot.cc  -fPIC -DPIC -o functors/.libs/slot.o
libtool: compile:  g++ -DHAVE_CONFIG_H -I.. -I.. -Wall -g -Og -MT functors/slot_base.lo -MD -MP -MF functors/.deps/slot_base.Tpo -c functors/slot_base.cc  -fPIC -DPIC -o functors/.libs/slot_base.o
/bin/sh ../libtool  --tag=CXX   --mode=link g++ -Wall -g -Og -no-undefined -version-info 0:0:0 -L/home/mcatanzaro/jhbuild/install/lib  -o libsigc-2.0.la -rpath /home/mcatanzaro/jhbuild/install/lib signal.lo signal_base.lo trackable.lo connection.lo functors/slot.lo functors/slot_base.lo adaptors/lambda/lambda.lo  
libtool: link: g++  -fPIC -DPIC -shared -nostdlib /usr/lib/gcc/x86_64-redhat-linux/4.9.2/../../../../lib64/crti.o /usr/lib/gcc/x86_64-redhat-linux/4.9.2/crtbeginS.o  .libs/signal.o .libs/signal_base.o .libs/trackable.o .libs/connection.o functors/.libs/slot.o functors/.libs/slot_base.o adaptors/lambda/.libs/lambda.o   -L/home/mcatanzaro/jhbuild/install/lib -L/usr/lib/gcc/x86_64-redhat-linux/4.9.2 -L/usr/lib/gcc/x86_64-redhat-linux/4.9.2/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-redhat-linux/4.9.2/../../.. -lstdc++ -lm -lc -lgcc_s /usr/lib/gcc/x86_64-redhat-linux/4.9.2/crtendS.o /usr/lib/gcc/x86_64-redhat-linux/4.9.2/../../../../lib64/crtn.o  -Og   -Wl,-soname -Wl,libsigc-2.0.so.0 -o .libs/libsigc-2.0.so.0.0.0
libtool: link: (cd ".libs" && rm -f "libsigc-2.0.so.0" && ln -s "libsigc-2.0.so.0.0.0" "libsigc-2.0.so.0")
libtool: link: (cd ".libs" && rm -f "libsigc-2.0.so" && ln -s "libsigc-2.0.so.0.0.0" "libsigc-2.0.so")
libtool: link: ( cd ".libs" && rm -f "libsigc-2.0.la" && ln -s "../libsigc-2.0.la" "libsigc-2.0.la" )
make[3]: Leaving directory '/home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++'
make[2]: Leaving directory '/home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++'
Making all in tests
make[2]: Entering directory '/home/mcatanzaro/jhbuild/checkout/libsigc++2/tests'
make[2]: Nothing to be done for 'all'.
make[2]: Leaving directory '/home/mcatanzaro/jhbuild/checkout/libsigc++2/tests'
Making all in examples
make[2]: Entering directory '/home/mcatanzaro/jhbuild/checkout/libsigc++2/examples'
g++ -DHAVE_CONFIG_H   -I.. -I..  -Wall -g -Og -MT hello_world.o -MD -MP -MF .deps/hello_world.Tpo -c -o hello_world.o hello_world.cc
g++ -DHAVE_CONFIG_H   -I.. -I..  -Wall -g -Og -MT member_method.o -MD -MP -MF .deps/member_method.Tpo -c -o member_method.o member_method.cc
mv -f .deps/member_method.Tpo .deps/member_method.Po
/bin/sh ../libtool  --tag=CXX   --mode=link g++ -Wall -g -Og  -L/home/mcatanzaro/jhbuild/install/lib  -o member_method member_method.o ../sigc++/libsigc-2.0.la 
mv -f .deps/hello_world.Tpo .deps/hello_world.Po
/bin/sh ../libtool  --tag=CXX   --mode=link g++ -Wall -g -Og  -L/home/mcatanzaro/jhbuild/install/lib  -o hello_world hello_world.o ../sigc++/libsigc-2.0.la 
libtool: link: g++ -Wall -g -Og -o .libs/member_method member_method.o  -L/home/mcatanzaro/jhbuild/install/lib ../sigc++/.libs/libsigc-2.0.so -Wl,-rpath -Wl,/home/mcatanzaro/jhbuild/install/lib
libtool: link: g++ -Wall -g -Og -o .libs/hello_world hello_world.o  -L/home/mcatanzaro/jhbuild/install/lib ../sigc++/.libs/libsigc-2.0.so -Wl,-rpath -Wl,/home/mcatanzaro/jhbuild/install/lib
make[2]: Leaving directory '/home/mcatanzaro/jhbuild/checkout/libsigc++2/examples'
Making all in docs
make[2]: Entering directory '/home/mcatanzaro/jhbuild/checkout/libsigc++2/docs'
rm -f manual/html/*
rm -f reference/libsigc++-2.0.tag
rm -fr reference/html
/usr/bin/mkdir -p manual/html
(echo '@INCLUDE =' reference/Doxyfile && echo 'INPUT =' ../sigc++/bind.h ../sigc++/bind_return.h ../sigc++/connection.h ../sigc++/object.h ../sigc++/reference_wrapper.h ../sigc++/retype_return.h ../sigc++/signal_base.h ../sigc++/trackable.h ../sigc++/type_traits.h ../sigc++/visit_each.h ../sigc++/adaptors/adaptors.h ../sigc++/adaptors/bound_argument.h ../sigc++/adaptors/lambda/lambda.h ../sigc++/functors/functors.h ../sigc++/functors/slot_base.h ../sigc++/signal.h ../sigc++/slot.h ../sigc++/method_slot.h ../sigc++/object_slot.h ../sigc++/class_slot.h ../sigc++/hide.h ../sigc++/retype.h ../sigc++/limit_reference.h ../sigc++/functors/functor_trait.h ../sigc++/functors/slot.h ../sigc++/functors/ptr_fun.h ../sigc++/functors/mem_fun.h ../sigc++/adaptors/deduce_result_type.h ../sigc++/adaptors/adaptor_trait.h ../sigc++/adaptors/bind.h ../sigc++/adaptors/bind_return.h ../sigc++/adaptors/retype_return.h ../sigc++/adaptors/hide.h ../sigc++/adaptors/retype.h ../sigc++/adaptors/compose.h ../sigc++/adaptors/exception_catch.h ../sigc++/adaptors/track_obj.h ../sigc++/adaptors/lambda/base.h ../sigc++/adaptors/lambda/select.h ../sigc++/adaptors/lambda/operator.h ../sigc++/adaptors/lambda/group.h ../sigc++/sigc++.h) | MMDOCTOOLDIR="../docs" "/usr/bin/doxygen" -
xsltproc -o manual/html/ --catalogs 'http://docbook.sourceforge.net/release/xsl/current/html/chunk.xsl' ./manual/libsigc_manual.xml
Variable $SGML_CATALOG_FILES not set
Warning: Tag `SYMBOL_CACHE_SIZE' at line 345 of file `reference/Doxyfile' has become obsolete.
         To avoid this warning please remove this line from your configuration file or upgrade it using "doxygen -u"
Warning: Tag `XML_SCHEMA' at line 1427 of file `reference/Doxyfile' has become obsolete.
         To avoid this warning please remove this line from your configuration file or upgrade it using "doxygen -u"
Warning: Tag `XML_DTD' at line 1433 of file `reference/Doxyfile' has become obsolete.
         To avoid this warning please remove this line from your configuration file or upgrade it using "doxygen -u"
Searching for include files...
Searching for files in directory /home/mcatanzaro/jhbuild/checkout/libsigc++2
Searching for files in directory /home/mcatanzaro/jhbuild/checkout/libsigc++2
Searching for example files...
Searching for files in directory /home/mcatanzaro/jhbuild/checkout/libsigc++2/examples
Searching for images...
Searching for dot files...
Searching for msc files...
Searching for dia files...
Searching for files to exclude
Searching for files to process...
Reading and parsing tag files
Reading tag file `/home/mcatanzaro/jhbuild/install/share/mm-common/doctags/libstdc++.tag', location `http://gcc.gnu.org/onlinedocs/libstdc++/latest-doxygen'...
Parsing files
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/bind.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/bind.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/bind_return.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/bind_return.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/connection.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/connection.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/object.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/object.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/reference_wrapper.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/reference_wrapper.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/retype_return.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/retype_return.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/signal_base.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/signal_base.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/trackable.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/trackable.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/type_traits.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/type_traits.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/visit_each.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/visit_each.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/adaptors.h...
Writing ch01.html for chapter(sec-introduction)
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/adaptors.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/bound_argument.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/bound_argument.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/lambda/lambda.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/lambda/lambda.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/functors/functors.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/functors/functors.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/functors/slot_base.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/functors/slot_base.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/signal.h...
Writing ch02s02.html for sect1
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/signal.h...
Writing ch02s03.html for sect1
Writing ch02s04.html for sect1
Writing ch02.html for chapter(sec-connecting)
Writing ch03s02.html for sect1
Writing ch03.html for chapter(sec-writing)
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/slot.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/slot.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/method_slot.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/method_slot.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/object_slot.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/object_slot.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/class_slot.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/class_slot.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/hide.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/hide.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/retype.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/retype.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/limit_reference.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/limit_reference.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/functors/functor_trait.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/functors/functor_trait.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/functors/slot.h...
Writing ch04s02.html for sect1Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/functors/slot.h...

Writing ch04.html for chapter(sec-advanced)
Writing ch05.html for chapter(sec-reference)
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/functors/ptr_fun.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/functors/ptr_fun.h...
Writing index.html for book(index)
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/functors/mem_fun.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/functors/mem_fun.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/deduce_result_type.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/deduce_result_type.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/adaptor_trait.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/adaptor_trait.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/bind.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/bind.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/bind_return.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/bind_return.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/retype_return.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/retype_return.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/hide.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/hide.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/retype.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/retype.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/compose.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/compose.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/exception_catch.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/exception_catch.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/track_obj.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/track_obj.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/lambda/base.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/lambda/base.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/lambda/select.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/lambda/select.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/lambda/operator.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/lambda/operator.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/lambda/group.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/adaptors/lambda/group.h...
Preprocessing /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/sigc++.h...
Parsing file /home/mcatanzaro/jhbuild/checkout/libsigc++2/sigc++/sigc++.h...
Building group list...
Building directory list...
Building namespace list...
Building file list...
Building class list...
/bin/sh: line 1: 23404 Done                    ( echo '@INCLUDE =' reference/Doxyfile && echo 'INPUT =' ../sigc++/bind.h ../sigc++/bind_return.h ../sigc++/connection.h ../sigc++/object.h ../sigc++/reference_wrapper.h ../sigc++/retype_return.h ../sigc++/signal_base.h ../sigc++/trackable.h ../sigc++/type_traits.h ../sigc++/visit_each.h ../sigc++/adaptors/adaptors.h ../sigc++/adaptors/bound_argument.h ../sigc++/adaptors/lambda/lambda.h ../sigc++/functors/functors.h ../sigc++/functors/slot_base.h ../sigc++/signal.h ../sigc++/slot.h ../sigc++/method_slot.h ../sigc++/object_slot.h ../sigc++/class_slot.h ../sigc++/hide.h ../sigc++/retype.h ../sigc++/limit_reference.h ../sigc++/functors/functor_trait.h ../sigc++/functors/slot.h ../sigc++/functors/ptr_fun.h ../sigc++/functors/mem_fun.h ../sigc++/adaptors/deduce_result_type.h ../sigc++/adaptors/adaptor_trait.h ../sigc++/adaptors/bind.h ../sigc++/adaptors/bind_return.h ../sigc++/adaptors/retype_return.h ../sigc++/adaptors/hide.h ../sigc++/adaptors/retype.h ../sigc++/adaptors/compose.h ../sigc++/adaptors/exception_catch.h ../sigc++/adaptors/track_obj.h ../sigc++/adaptors/lambda/base.h ../sigc++/adaptors/lambda/select.h ../sigc++/adaptors/lambda/operator.h ../sigc++/adaptors/lambda/group.h ../sigc++/sigc++.h )
     23405 Segmentation fault      (core dumped) | MMDOCTOOLDIR="../docs" "/usr/bin/doxygen" -
Makefile:831: recipe for target 'reference/libsigc++-2.0.tag' failed
make[2]: *** [reference/libsigc++-2.0.tag] Error 139
make[2]: Leaving directory '/home/mcatanzaro/jhbuild/checkout/libsigc++2/docs'
Makefile:659: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/home/mcatanzaro/jhbuild/checkout/libsigc++2'
Makefile:527: recipe for target 'all' failed
make: *** [all] Error 2
*** Error during phase build of libsigc++2: ########## Error running make -j 9 *** [27/32]

Version-Release number of selected component:
doxygen-1.8.8-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/doxygen -
crash_function: Definition::localName
executable:     /usr/bin/doxygen
kernel:         3.17.6-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
[New LWP 23405]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `/usr/bin/doxygen -'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  Definition::localName (this=this@entry=0x0) at definition.cpp:1386
1386	  return m_impl->localName;

Thread 1 (Thread 0x7faecc14c740 (LWP 23405)):
#0  Definition::localName (this=this@entry=0x0) at definition.cpp:1386
No locals.
#1  0x00000000005a8ff8 in NamespaceDef::addInnerCompound (this=0x3c88e30, d=0x0) at namespacedef.cpp:136
No locals.
#2  0x0000000000414104 in buildScopeFromQualifiedName (name=..., level=4, lang=SrcLangExt_Unknown, tagInfo=0x369c020) at doxygen.cpp:1041
No locals.
#3  0x0000000000428acb in addClassToContext (rootNav=rootNav@entry=0x31a65b0) at doxygen.cpp:1315
No locals.
#4  0x0000000000429826 in buildClassList (rootNav=0x31a65b0) at doxygen.cpp:1392
No locals.
#5  0x00000000004297dd in buildClassList (rootNav=0x33af1d0) at doxygen.cpp:1394
No locals.
#6  0x00000000004297dd in buildClassList (rootNav=0x2fdb1f0) at doxygen.cpp:1394
No locals.
#7  0x00000000004454d5 in parseInput () at doxygen.cpp:10981
No locals.
#8  0x0000000000409ad9 in main (argc=2, argv=0x7fff11b27b38) at main.cpp:37
No locals.
From                To                  Syms Read   Shared Object Library
0x00007faecbd38a20  0x00007faecbd44e01  Yes         /lib64/libpthread.so.0
0x00007faecba7f910  0x00007faecbaec4df  Yes         /lib64/libstdc++.so.6
0x00007faecb7215c0  0x00007faecb792b91  Yes         /lib64/libm.so.6
0x00007faecb507af0  0x00007faecb5179d5  Yes         /lib64/libgcc_s.so.1
0x00007faecb1674f0  0x00007faecb2b2ca4  Yes         /lib64/libc.so.6
0x00007faecbf4fb10  0x00007faecbf6a6d0  Yes         /lib64/ld-linux-x86-64.so.2
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
rax            0x0	0
rbx            0x0	0
rcx            0x0	0
rdx            0x0	0
rsi            0x0	0
rdi            0x7fff11b27250	140733490295376
rbp            0x7fff11b27360	0x7fff11b27360
rsp            0x7fff11b27240	0x7fff11b27240
r8             0xfe01	65025
r9             0x7faecb4ffd68	140388712054120
r10            0x81	129
r11            0x7faecb2c7a80	140388709726848
r12            0x3c88e30	63475248
r13            0x2	2
r14            0x14	20
r15            0x7fff11b27430	140733490295856
rip            0x72c991	0x72c991 <Definition::localName() const+1>
eflags         0x10246	[ PF ZF IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function Definition::localName() const:
   0x000000000072c990 <+0>:	push   %rbx
=> 0x000000000072c991 <+1>:	mov    0x8(%rsi),%rsi
   0x000000000072c995 <+5>:	mov    %rdi,%rbx
   0x000000000072c998 <+8>:	add    $0x58,%rsi
   0x000000000072c99c <+12>:	callq  0x833a30 <QCString::QCString(QCString const&)>
   0x000000000072c9a1 <+17>:	mov    %rbx,%rax
   0x000000000072c9a4 <+20>:	pop    %rbx
   0x000000000072c9a5 <+21>:	retq   
End of assembler dump.

Comment 1 Michael Catanzaro 2014-12-19 23:00:20 UTC
Created attachment 971336 [details]
File: backtrace

Comment 2 Michael Catanzaro 2014-12-19 23:00:20 UTC
Created attachment 971337 [details]
File: cgroup

Comment 3 Michael Catanzaro 2014-12-19 23:00:21 UTC
Created attachment 971338 [details]
File: core_backtrace

Comment 4 Michael Catanzaro 2014-12-19 23:00:22 UTC
Created attachment 971339 [details]
File: dso_list

Comment 5 Michael Catanzaro 2014-12-19 23:00:22 UTC
Created attachment 971340 [details]
File: environ

Comment 6 Michael Catanzaro 2014-12-19 23:00:23 UTC
Created attachment 971341 [details]
File: exploitable

Comment 7 Michael Catanzaro 2014-12-19 23:00:24 UTC
Created attachment 971342 [details]
File: limits

Comment 8 Michael Catanzaro 2014-12-19 23:00:25 UTC
Created attachment 971343 [details]
File: maps

Comment 9 Michael Catanzaro 2014-12-19 23:00:25 UTC
Created attachment 971344 [details]
File: open_fds

Comment 10 Michael Catanzaro 2014-12-19 23:00:26 UTC
Created attachment 971345 [details]
File: proc_pid_status

Comment 11 Michael Catanzaro 2014-12-19 23:00:27 UTC
Created attachment 971346 [details]
File: var_log_messages

Comment 12 Ting-Wei Lan 2015-01-27 04:14:39 UTC
I got a silimar problem in gtkmm and glibmm before. It should be fixed by updating to doxygen 1.8.9 or later version.

Comment 13 Ting-Wei Lan 2015-01-27 04:16:54 UTC
The bug report was here: https://bugzilla.gnome.org/show_bug.cgi?id=741417

Comment 14 Than Ngo 2015-01-29 14:23:35 UTC
i have done scratch build of new doxygen for f21, could you please download it from the following url and test if it fixes the issue?

http://koji.fedoraproject.org/koji/taskinfo?taskID=8766597


Thanks

Comment 15 Michael Catanzaro 2015-01-29 15:34:07 UTC
(In reply to Ngo Than from comment #14)
> i have done scratch build of new doxygen for f21, could you please download
> it from the following url and test if it fixes the issue?

That build fixes the issue for me, thanks!

Comment 16 Than Ngo 2015-01-29 16:17:45 UTC
Michael, thanks for verifying the fix. I will do official build and push it to f21 update.

Comment 17 Fedora Update System 2015-01-30 16:26:12 UTC
doxygen-1.8.9.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/doxygen-1.8.9.1-1.fc21

Comment 18 Fedora Update System 2015-02-01 00:23:50 UTC
Package doxygen-1.8.9.1-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing doxygen-1.8.9.1-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1476/doxygen-1.8.9.1-1.fc21
then log in and leave karma (feedback).

Comment 19 Fedora Update System 2015-02-15 03:26:02 UTC
doxygen-1.8.9.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.